File: changelog

package info (click to toggle)
qmidiarp 0.6.5-3
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 3,452 kB
  • sloc: cpp: 14,724; sh: 11,345; makefile: 277; xml: 44
file content (200 lines) | stat: -rw-r--r-- 5,708 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
qmidiarp (0.6.5-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update copyright (http -> https + bump 2019)

  [ Adrian Bunk ]
  * Build-depend on scour instead of python-scour (Closes: #943187)

  [ Sebastian Ramacher ]
  * debian/: Bump debhelper compat to 12
  * debian/control: Bump Standards-Version
  * debian/copyright: Document appdata license

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 24 Dec 2019 10:56:25 +0100

qmidiarp (0.6.5-2) unstable; urgency=medium

  * d/control:
    - long description: "Qt4" -> "Qt" (more generic)
    - missing punctuation
  * d/copyright:
    - add myself

 -- Olivier Humbert <trebmuh@tuxfamily.org>  Sun, 27 May 2018 12:22:30 +0200

qmidiarp (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Sign tags.
  * Use git instead of cgit in VCS.
  * Bump Standards.
  * Use secure uri where possible.
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patch removed - applied upstream.
  * Remove B-D on dh_autoreconf.
  * Build with Qt5 is now default.
  * Build with hardening pie now.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Dec 2017 21:57:10 +0100

qmidiarp (0.6.4-2) unstable; urgency=medium

  * Fix dh version.
  * Append LDFLAGS properly.
  * Install lv2 plugins properly. (Closes: #859479)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 04 Apr 2017 08:26:29 +0200

qmidiarp (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4
  * Bump Standards.
  * Fix VCS fields.
  * Set dh/compat 10.
  * Fix hardening.
  * Drop dbg package in favor of dbgsym.
  * Build with qt5.
  * Disable pie build flag to build with qt5.
  * Update copyright file.
  * Add upstream patch to fix issue with qt5.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 01 Nov 2016 18:14:03 +0100

qmidiarp (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3
  * Patch removed - applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 04 Nov 2015 13:48:07 +0100

qmidiarp (0.6.2-1) unstable; urgency=medium

  * Imported Upstream version 0.6.2
  * Bump Standards.
  * Update copyright file.
  * Make watch file more flexible.
  * Fix description.
  * Patch forwarded.
  * Remove obsolete bz2 compression from gbp.conf file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 07 Oct 2015 06:48:54 +0200

qmidiarp (0.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.6.1
  * desktop file - Add mime type for Exec key.
  * desktop file - Fix Keywords syntax.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Sep 2014 12:08:58 +0200

qmidiarp (0.6.0-1) unstable; urgency=low

  * Imported Upstream version 0.6.0
  * Added lv2-dev as build dep.
  * Bump Standards.
  * Install upstream changelog.
  * Dont install *.la files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 09 Jan 2014 15:22:27 +0100

qmidiarp (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Added keywords to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 27 Nov 2013 20:30:38 +0100

qmidiarp (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Fix VCS canonical URLs.
  * Remove obsolete DMUA.
  * Bump Standards.
  * Added liblo-dev as build dep.
  * Upload to unstable.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 09 May 2013 12:39:02 +0200

qmidiarp (0.5.1-1) experimental; urgency=low

  * New upstream release.
  * Set dh/compat 9.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 20 Nov 2012 00:16:49 +0100

qmidiarp (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Removed patches - applied upstream.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Mar 2012 22:23:14 +0200

qmidiarp (0.4.5-1) unstable; urgency=low

  * New upstream release.
    - Fixed Bugs
      + JACK Transport start with ALSA backend was broken in 0.4.4
      + Event forwarding port index was uninitialized in JACK MIDI backend

  * Added patch fixing desktop file
  * Added patch fixing few syntax and spelling errors in man pages

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 30 Jan 2012 23:41:28 +0100

qmidiarp (0.4.4-1) unstable; urgency=low

  * New upstream release:
    - New Features:
      + JACK MIDI backend doesn't require Jack Transport anymore
    - Improvements:
      + Better usability of the sequencer loop marker
      + Improved LFO offset slider behavior
      + Quantization to the minimum stepwidth in Arp modules active when
        changes in Arp patterns occur
    - Fixed Bugs
      + Crash on startup in JACK MIDI mode on certain systems
      + When cloning modules, the current play direction wasn't copied
      + Unmatched MIDI event forwarding didn't work with Arp modules
      + Typo in english manpage

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Dec 2011 02:10:30 +0100

qmidiarp (0.4.3-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Add myself as uploader.

  [ Alessio Treglia ]
  * Set DM-Upload-Allowed: yes

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Dec 2011 17:56:44 +0100

qmidiarp (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 11:32:28 +0200

qmidiarp (0.4.1-1) unstable; urgency=low

  * Imported Upstream version 0.4.1.
  * Build with scour for SVG optimizations.
  * Enable parall builds.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Jun 2011 13:04:12 +0200

qmidiarp (0.3.9-1) unstable; urgency=low

  * Initial release. (Closes: #616544)

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 Mar 2011 13:16:38 +0100